%define hdf5dir %_libexecdir/hdf5-seq
%define oname tables
Name: py%oname
Version: 2.2b2
Release: alt1.svn20090911.2
Summary: Managing hierarchical datasets
License: MIT
Group: Development/Python
Url: http://www.pytables.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# http://pytables.org/svn/pytables/trunk
Source: %name-%version.tar.gz

Requires: python-module-%oname = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel python-module-Pyrex python-module-numpy
BuildPreReq: libhdf5-devel liblzo2-devel bzlib-devel
#BuildPreReq: xsltproc inkscape

%description
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

%package -n python-module-%oname
Summary: Managing hierarchical datasets
Group: Development/Python
%setup_python_module %oname
%add_python_req_skip numarray

%description -n python-module-%oname
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

This package contains python module of PyTables.

%prep
%setup

%build
python setup.py build_ext --inplace --hdf5=%hdf5dir

%install
python setup.py install --hdf5=%hdf5dir --root=%buildroot

cp -fR examples %buildroot%python_sitelibdir/%oname/

%files
%doc LICENSE.txt LICENSES README.txt RELEASE_NOTES.txt THANKS
%_bindir/*

%files -n python-module-%oname
%python_sitelibdir/*

%changelog
* Sat Jan 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.2
- Rebuilt without python-module-Numeric

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.1
- Rebuilt with python 2.6

* Fri Sep 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911
- Initial build for Sisyphus

